const multer = require('multer');
const path = require('path');

const storageEvaluacion = multer.diskStorage({
  destination: (req, file, cb) => {
    cb(null, 'uploads/evaluaciones');  
  },
  filename: (req, file, cb) => {
    const ext = path.extname(file.originalname); // .pdf
    const unique = Date.now() + '-' + Math.round(Math.random() * 1e9);
    // usamos el idUsuario que viene en la ruta
    cb(null, `${req.params.idUsuario}-${unique}${ext}`);
  }
});

function fileFilterEvaluacion(req, file, cb) {
  const ext = path.extname(file.originalname).toLowerCase();
  if (ext !== '.pdf') {
    return cb(new Error('Solo se permiten archivos PDF para las evaluaciones'));
  }
  cb(null, true);
}

module.exports = multer({
  storage: storageEvaluacion,
  fileFilter: fileFilterEvaluacion
});
